.fp-section
.fp-tableCell
.fp-scrollable
  width 100%

  +fbp(xs)
    height auto !important

.fullpage-wrapper
  display block

.placeholder-section
  height 0

.section
  position relative
  overflow hidden
  padding 0

  &.is-inview
    +fbp(xsAfter)
      .header
        opacity 1
        transform translateY(0)

.section__inner
  padding 111px 0

  +fbp(xs)
    padding 40px 0

.fullpage-wrapper
  overflow hidden

.iScrollVerticalScrollbar
  +fbp(xs)
    display none

.logo
  display inline-block
  font-size 0

  img
    max-width 100%
    height auto

  +fbp(sm)
    max-width 70px

.swiper-pagination
  width 100%
  left 0
  bottom 0

.swiper-pagination-bullet
  width 6px
  height 6px
  margin 0 10px
  background-color $secondary5
  opacity 1
  transition all 0.3s
  position relative

  &:before
    content ''
    position absolute
    border-radius 50%
    transition all 0.3s
    opacity 0
    border  1px solid $primary
    left -3px
    top -3px
    right -3px
    bottom -3px

  &:hover
    background-color $primary

.swiper-pagination-bullet-active
  background-color $primary

  &:before
    opacity 1

.swiper-button-prev
.swiper-button-next
  width 40px
  height 50px
  background $secondary2
  transition all 0.3s
  outline 0
  border 0
  margin-top -25px

  &:after
    display none

  &:before
    content ''
    position absolute
    width 7px
    height 7px
    border-bottom 2px solid $secondary7
    margin-left -3px

  &:hover:not(.swiper-button-disabled)
    background-color $primary

  &--primary
    background-color $primary

    &:hover:not(.swiper-button-disabled)
      background-color $secondary

.swiper-button-prev--white
.swiper-button-next--white
  background-color $white

  &:before
    border-bottom 2px solid $secondary5

  &:hover:not(.swiper-button-disabled)
    background-color $secondary

.swiper-button-disabled
  background $secondary6
  opacity 1

.swiper-button-prev.swiper-button-disabled, .swiper-button-next.swiper-button-disabled
  opacity 1
  pointer-events all

.swiper-button-prev
  &:before
    border-left 2px solid $secondary7
    transform rotate(45deg)
    margin-left 3px

.swiper-button-prev--white
  &:before
    border-left 2px solid $secondary5

.swiper-button-next
  &:before
    border-right 2px solid $secondary7
    transform rotate(-45deg)

.swiper-button-next--white
  &:before
    border-right 2px solid $secondary5

.form-item
  margin-bottom 16px
  position relative

  &:before
    position absolute
    color $secondary3
    top 50%

  &.icon-user
    &:before
      width 18px
      height 20px
      font-size 20px
      left 31px
      margin-top -10px

      +fbp(xs)
        left 17px

  &.icon-phone
    &:before
      width 24px
      height 24px
      font-size 24px
      left 26px
      margin-top -12px

      +fbp(xs)
        left 13px

  &.icon-email
    &:before
      width 20px
      height 16px
      font-size 16px
      left 30px
      margin-top -8px

      +fbp(xs)
        left 16px

.form-item--light
  &:before
    color $secondary5

  .form-field
    background-color $inputBackground
    border 1px solid $inputBackground
    color $secondary2

    &::placeholder
      color $secondary2

  +fbp(xs)
    &.has-error
      .form-field
        border-color red

.form-item__error
  position absolute
  right 28px
  top 50%
  transform translateY(-50%)
  font-size 16px
  color $red

  +fbp(md)
    font-size 14px
    right 10px

  +fbp(xs)
    display none

.form-field
  display block
  height 80px
  background $secondary2
  border 1px solid $secondary2
  font-weight 500
  font-size 18px
  line-height 24px
  font-family $baseFont
  width 100%
  outline 0
  padding 0
  padding-left 70px
  padding-right 180px
  color $white
  transition background-color 0.3s

  &::placeholder
    color $secondary5

  &:focus:not(:disabled):not(.readonly)
    background rgba($secondary2, 0)

    &::placeholder
      color transparent

  +fbp(md)
    padding-right 150px

  +fbp(xs)
    height 50px
    font-size 16px
    padding-left 50px
    padding-right 15px
    padding-top 2px

.form-field--sm
  height 56px
  padding-left 15px
  padding-right 15px
  font-size 14px
  line-height 16px
  text-transform uppercase

  +fbp(xs)
    font-size 14px
    line-height 16px

.checkbox
  display block
  margin 32px 0
  user-select none
  cursor pointer

  input
    display none

    &:checked + div
      &:before
        background-color $primary
        border-color $primary

      &:after
        opacity 1

  div
    display block
    padding 6px 0
    padding-left 45px
    font-size 14px
    line-height 18px
    position relative
    color $secondary7

    &:before
      content ''
      position absolute
      width 30px
      height 30px
      left 0
      top 50%
      margin-top -15px
      background $secondary2

    &:after
      content ''
      position absolute
      width 17px
      height 13px
      background url('/images/check.svg') no-repeat 0 0
      background-size contain
      transition all 0.3s
      opacity 0
      left 6px
      top 50%
      margin-top -7px

    a
      &
      &:visited
        color $white
        border-bottom 1px solid $secondary7
        transition all 0.3s
        text-decoration none

        &:hover
          color $primary
          border-bottom-color $primary

.checkbox--light
  div
    color $textColor

    &:before
      background-color $secondary7

    a
      &
      &:visited
        color $textColor
        border-bottom-color $secondary

      &:hover
        color $primary
        border-bottom-color $primary

.form
  max-width 540px

.form__cols
  display flex
  flex-wrap wrap
  justify-content space-between

  +fbp(sm)
    display block

.form__col
  width calc(50% - 10px)
  margin-bottom 20px

  +fbp(sm)
    width 100%

.form__title
  font-weight 600
  font-size 20px
  line-height 24px
  margin-bottom 21px
  text-transform uppercase
  color $secondary2

.form__submit
  margin 32px 0
  display block
  &:last-child
    margin-bottom 0

.form-thank
  position relative
  width 100%
  z-index 10
  text-align center
  padding 53px 30px10
  padding-bottom 47px
  display flex
  align-items center
  justify-content center
  background-color $white

  +fbp(xs)
    padding 15px
    padding-top 80px

.form-thank--dark
  background $secondary // radial-gradient(102.87% 100% at 100% 0%, rgba($secondary, 0.92) 0%, $secondary 100%)

  .form-thank__svg
    background transparent no-repeat 0 0
    background-size contain

  .form-thank__title
    color $white

  .form-thank__descr
    color $secondary7

  .form-thank__social-title
    color $white

  .form-thank__send-link
    color $secondary7

.form-thank__title
  font-family $secondaryFont
  font-weight 600
  font-size 28px
  line-height 1.5
  text-align center
  text-transform uppercase
  color $textColor
  margin-bottom 0.607143em

.form-thank__descr
  font-size 18px
  line-height 1.333333
  text-align center
  color $secondary3
  margin-bottom 1.666667em

.form-thank__social-title
  font-family $secondaryFont
  font-weight 600
  font-size 20px
  line-height 1.2
  text-align center
  text-transform uppercase
  color $secondary2
  margin-bottom 1.55em

  +fbp(xs)
    margin-bottom 14px
    font-size 14px

.form-thank__svg
  margin 0 auto
  margin-bottom 58px
  width 166px
  height 99px
  background transparent no-repeat 0 0
  background-size contain

  +fbp(xs)
    margin-bottom 30px
    width 115px
    height 69px

.form-thank__close
  position absolute
  right 0
  top 0
  cursor pointer
  user-select none
  font-family $secondaryFont
  font-size 16px
  line-height 22px
  text-align center
  letter-spacing -0.2px
  text-transform uppercase
  color $secondary3
  background-color $secondary7
  padding 17px 34px
  padding-left 72px
  z-index 1
  transition all 0.3s

  &:before
  &:after
    content ''
    position absolute
    width 24px
    height 1px
    background-color $secondary3
    left 33px
    top 20px
    transform rotate(45deg)
    transform-origin 0 0
    transition all 0.3s

  &:after
    top 37px
    transform rotate(-45deg)


  &:hover
    background-color $secondary3
    color $white

    &:before
    &:after
      background-color $white

.form-thank__send-link
  margin-bottom 83px
  text-align center
  font-size 14px
  line-height 18px
  color $secondary3

  +fbp(xs)
    margin-bottom 20px


.section-heading
  margin-bottom 80px

.section-heading--mb-lg
  margin-bottom 110px

.section-heading--mb-md
  margin-bottom 72px

.section-heading--mb-sm
  margin-bottom 55px

.section-heading--white
    color $white

  +fbp(xs)
    margin-bottom 40px

.section-heading--mb-sm
.section-heading--mb-md
  +fbp(xs)
    margin-bottom 40px

.section-heading--flex
  display flex

  .section-heading__title
    width 70%
    margin 0
    padding-right 40px

  +fbp(sm)
    display block

    .section-heading__title
      width 100%
      padding-right 0
      margin-bottom 30px

.section-heading__title
  font-weight 600
  font-size 28px
  line-height 1.5
  font-family $secondaryFont
  margin 0
  max-width 550px
  margin-bottom 0.571429em
  text-transform uppercase

  &:last-child
    margin-bottom 0

  +fbp(xs)
    font-size 24px

.section-heading__title--large
  font-size 48px
  line-height 1.333333
  font-weight 500
  letter-spacing -0.020833em
  max-width 800px

  +fbp(sm)
    font-size 40px

  +fbp(xs)
    font-size 24px

.section-heading__descr
  font-size 16px
  line-height 1.375
  letter-spacing -0.0125em
  text-transform uppercase
  color $secondary7
  max-width 480px

.section-title__subtitle
  font-size 18px
  line-height 1.333333
  margin 0

  +fbp(xs)
    font-size 14px

.ps .ps__rail-x:hover
.ps .ps__rail-y:hover
.ps .ps__rail-x:focus
.ps .ps__rail-y:focus
.ps .ps__rail-x.ps--clicking
.ps .ps__rail-y.ps--clicking
  opacity 1
  background none

.ps__rail-y
  width 4px
  border-radius 0
  opacity 1
  display block
  overflow hidden

.ps__rail-y:hover > .ps__thumb-y
.ps__rail-y:focus > .ps__thumb-y
.ps__rail-y.ps--clicking .ps__thumb-y
  width 2px
  background none

.ps__thumb-y
  right 1px
  width 2px
  border-radius 0
  background none
  opacity 1

  &:before
    content ''
    position absolute
    width 100%
    left 0
    top 11px
    bottom 11px
    background-color $secondary

.ps:hover > .ps__rail-x, .ps:hover > .ps__rail-y, .ps--focus > .ps__rail-x, .ps--focus > .ps__rail-y, .ps--scrolling-x > .ps__rail-x, .ps--scrolling-y > .ps__rail-y
  opacity 1

.ps:not(.ps--active-x) > .ps__rail-x, .ps:not(.ps--active-y) > .ps__rail-y
  display none

.ps--active-x > .ps__rail-x, .ps--active-y > .ps__rail-y
  background none

  &:before
    content ''
    position absolute
    width 100%
    left 0
    top 10px
    bottom 10px
    background-color $secondary7

.vdp-datepicker
  display block

.vdp-datepicker__calendar
  bottom 100% !important
  margin-bottom 6px !important
  left auto !important
  right -5px !important
  color $textColor !important
  font-family $baseFont !important
  width 310px !important
  padding 0 14px !important
  padding-bottom 13px !important
  border 1px solid $secondary7 !important

  +fbp(xs)
    width 100% !important
    right 0 !important
    bottom auto !important
    margin-bottom 0 !important
    top 100% !important
    margin-top 0 !important

.vdp-datepicker__calendar .cell
  width 30px !important
  height 30px !important
  font-size 14px !important
  line-height 30px !important
  text-align center !important
  color $textColor !important
  margin 0 5px !important
  padding 0 !important
  margin-bottom 6px !important
  user-select none
  transition all 0.3s
  border 0 !important

  &.disabled
    color $secondary6 !important

  &.month
  &.year
    width calc(33.33% - 10px) !important

  &:hover
    &:not(.disabled):not(.selected)
      color $white !important
      border 0 !important
      background-color $primary

  +fbp(xs)
    width 11.9% !important

.vdp-datepicker__calendar .cell.day-header
  color $primary !important

  &:hover
    color $primary !important
    &:not(.disabled)
      color $primary !important
      border 0 !important
      background none !important

.vdp-datepicker__calendar .cell.selected
  background $primary !important
  color $white !important

.vdp-datepicker__calendar header
  height 64px
  margin-bottom 8px
  overflow hidden
  position relative
  border-bottom 1px solid $secondary7
  margin-left -14px
  margin-right -14px
  transition all 0.3s

.vdp-datepicker__calendar header span
  display block
  font-weight 500
  font-size 18px
  line-height 64px
  color $textColor
  float none
  text-align center
  width 100% !important
  transition all 0.3s

  &::first-letter
    text-transform uppercase

.vdp-datepicker__calendar header .prev:not(.disabled):hover, .vdp-datepicker__calendar header .next:not(.disabled):hover, .vdp-datepicker__calendar header .up:not(.disabled):hover
  color $white !important
  background $primary !important

.vdp-datepicker__calendar header .prev, .vdp-datepicker__calendar header .next
  font-size 0 !important
  position absolute !important
  width 22px !important
  height 22px !important
  background $secondary7 !important
  border-radius 50%
  top 50%
  margin-top -11px

  &:after
    display none

  &:before
    content ''
    position absolute
    width 7px
    height 7px
    border-right 2px solid $secondary5
    border-bottom 2px solid $secondary5
    right 6px
    top 50%
    margin-top -3px
    transform rotate(-45deg)
    transition all 0.3s

  &:hover
    &:not(.disabled)
      background $secondary7 !important
      box-shadow 0 0 0 2px $secondary7

      &:before
        border-color $secondary

.vdp-datepicker__calendar header .prev
  left 14px

  &:before
    transform rotate(135deg)

.vdp-datepicker__calendar header .next
  right 14px

  &:before
    right 8px
    transform rotate(-45deg)

.social
  padding 0
  margin 0

  li
    margin-right 12px
    display inline-block

    &:last-child
      margin-right 0

.social--large
  li
    margin-right 15px

  .social__link
    width 44px
    height 44px
    line-height 39px

    &.icon-vk
      &:before
        font-size 11px

    &.icon-facebook
      &:before
        font-size 16px

    &.icon-odnoklassniki
      &:before
        font-size 18px

    &.icon-youtube-play
      &:before
        font-size 17px

    &.icon-instagram
      &:before
        font-size 15px

.social--white
  .social__link
    color $white
    border-color rgba($secondary7, 0.4)

    &:hover
      border-color $white
      background-color $white
      color $primary

.social--vertical
  display flex
  flex-direction column

  li
    margin-right 0
    margin-bottom 12px

    &:last-child
      margin-right 0

.social__link
  width 32px
  height 32px
  border-radius 50%
  display block
  border 1px solid $secondary5
  color $secondary2
  text-decoration none
  text-align center
  line-height 26px
  transition color 0.3s, background-color 0.3s
  position relative

  &:before
    width 100%
    position absolute
    left 0
    top 50%
    transform translateY(-50%)

  &.icon-vk
    &:before
      font-size 8px

  &.icon-facebook
    &:before
      font-size 14px

  &.icon-odnoklassniki
    &:before
      font-size 14px

  &.icon-youtube-play
    &:before
      font-size 14px

  &.icon-instagram
    &:before
      font-size 12px

  &:hover
    background-color $secondary5
    color $white

.page-header
  padding-top 234px
  padding-bottom 80px
  margin-bottom 207px
  position relative
  min-height 540px
  z-index 1

  +fbp(md)
    margin-bottom 170px

  +fbp(sm)
    margin-bottom 100px
    padding-top 150px
    padding-bottom 80px
    min-height 400px

  +fbp(xs)
    min-height 0
    padding-top 370px
    padding-bottom 40px
    margin-bottom 40px

.page-header:not(.page-header--light)
  color $white
  background radial-gradient(58.94% 71.15% at 76.42% 50%, rgba($secondary, 0.92) 0%, $secondary 100%)

.page-header--light
  margin-bottom 0

  .page-header__go-back
    a
    span
      color $secondary3

      &:hover
        color $textColor

  .page-header__title
    color $secondary2

.page-header__go-back
  margin-bottom 65px

  +fbp(sm)
    margin-bottom 40px

  +fbp(xs)
    margin-bottom 30px

  a
  span
    cursor pointer
    display inline-block
    padding-left 65px
    position relative
    font-size 18px
    line-height 1.333333
    color $white
    text-decoration none
    transition color 0.3s

    &:hover
      color $primary

    &:before
      content ''
      position absolute
      width 45px
      height 20px
      background url('/images/arrow_left2.svg') no-repeat 0 0
      background-size contain
      left 0
      top 50%
      margin-top -10px

.page-header__title
  margin 0
  font-family $secondaryFont
  font-weight 500
  font-size 48px
  line-height 1.333333
  letter-spacing -0.020833em
  text-transform uppercase
  max-width 10em

  span
    font-weight 600
    font-size 28px
    line-height 1.5
    display block

  +fbp(md)
    font-size 40px

    span
      font-size 24px

  +fbp(sm)
    font-size 36px
    span
      font-size 22px

  +fbp(xs)
    font-size 24px

    span
      font-size 18px

.page-header__img
  position absolute
  left calc(50% - 90px)
  bottom -100px
  height 472px
  right 0

  img
    abs100()
    objectFitCover()

  +fbp(sm)
    left calc(50% - 40px)
    bottom -50px
    height 345px

  +fbp(xs)
    left 0
    bottom auto
    top 66px
    height 300px

    &:before
      display none

.article
  max-width 780px
  margin 0 auto

.article-container
  padding-bottom 60px

  +fbp(xs)
    padding-bottom 40px

.share-link
  display flex
  flex-wrap wrap
  margin-bottom 28px
  justify-content center


.share-link__icon
  width 56px
  height 56px
  margin-right 5px
  background-color $secondary7
  position relative

  +fbp(xs)
    width 40px

  &:before
    width 16px
    height 16px
    font-size 16px
    position absolute
    left 50%
    top 50%
    margin-left -8px
    margin-top -8px
    color $secondary5


.share-link__input
  width 319px
  text-align center

  .form-field
    padding-right 15px
    text-align center

  .form-item
    margin 0

  +fbp(sm)
    width 304px

  +fbp(xs)
    display block
    width 100%

    .form-field
      height 56px
      padding-left 15px
      font-size 12px

.share-link__input-wrap
  display flex

  +fbp(sm)
    margin-bottom 10px
    width 100%

.share-link__buttons
  display flex
  flex-wrap wrap

  .btn
    margin-right 5px
    min-width 180px

    &:last-child
      margin-right 0

  +fbp(xs)
    width 100%
    justify-content center

    .btn
    .dropdown-wrap
      display block
      margin-right 5px
      margin-bottom 5px
      width auto

      &:last-child
        margin 0

  +fbp(xxs)
    .btn
    .dropdown-wrap
      margin 0 0 10px
      width 100%
